stages:

  # Stages are defined in the product categories handbook https://about.gitlab.com/handbook/product/categories/#hierarchy

  manage:
    display_name: "Manage"
    marketing: true
    tw: true
    image: "/images/solutions/solutions-manage.png"
    description: "Gain visibility and insight into how your business is performing."
    body: |
          GitLab helps teams manage and optimize their software delivery lifecycle with metrics and value stream insight in order to streamline and increase their delivery velocity.   Learn more about how GitLab helps to manage your end to end <a href="https://about.gitlab.com/vsm">value stream.</a>
    vision: /direction/manage
    roadmap: "https://gitlab.com/groups/gitlab-org/-/roadmap?label_name%5B%5D=devops%3Amanage&scope=all&sort=end_date_asc&state=opened&layout=QUARTERS"
    established: 2016
    lifecycle: 4
    contributions: 34
    analyst_reports:
      - title: "Whitepaper: Reduce Cycle Time"
        url: "/resources/whitepaper-reduce-cycle-time/"
    related:
      - "plan"
      - "create"
      - "verify"
      - "package"
      - "release"
      - "configure"
      - "monitor"
      - "secure"
      - "defend"
    dept: dev
    hiring_plan_eoyfy20_pm: 2
    hiring_plan_eoyfy20_bem: 2
    hiring_plan_eoyfy20_fem: 1
    pm: Jeremy Watson
    groups:
      access:
        name: Access
        pm: Jeremy Watson (Interim)
        pmm: Cormac Foster
        cm: Suri Patel
        backend_engineering_manager: Liam McAndrew
        frontend_engineering_manager: Dennis Tang
        support: Blair Lunceford
        sets:
          - Sanad Liaquat
        uxm: Mike Long
        ux:
          - Amanda Hughes
        tech_writer: Evan Read
        appsec_engineer: Jeremy Matos
        internal_customers:
          - Support Department
          - Security Department
          - Infrastructure Department
        categories:
          - authentication_and_authorization
      compliance:
        name: Compliance
        pm: Matt Gonzales
        pmm: Cormac Foster
        cm: Suri Patel
        backend_engineering_manager: Liam McAndrew
        frontend_engineering_manager: Dennis Tang
        support: TBD
        sets:
          - Sanad Liaquat
        uxm: Mike Long
        ux:
          - Daniel Mora (Interim)
        tech_writer: Evan Read
        appsec_engineer: Jeremy Matos
        internal_customers:
          - Support Department
          - Security Department
          - Infrastructure Department
        categories:
          - audit_events
          - audit_reports
          - compliance_controls
          - compliance_frameworks
      import:
        name: Import
        pm: Haris Delalić 
        pmm: Cormac Foster
        cm: Suri Patel
        backend_engineering_manager: Liam McAndrew
        frontend_engineering_manager: Dennis Tang
        sets:
          - Sanad Liaquat
        uxm: Mike Long
        ux:
          - Daniel Mora
        tech_writer: Evan Read
        appsec_engineer: Jeremy Matos
        internal_customers:
          - Support Department
          - Product Department
        categories:
          - importers
          - internationalization
      analytics:
        name: Analytics
        pm: Jeremy Watson (Interim)
        pmm: Cormac Foster
        cm: Suri Patel
        backend_engineering_manager: Dan Jensen
        frontend_engineering_manager: Dennis Tang
        support: TBD
        sets:
          - Désirée Chevalier
        uxm: Mike Long
        ux:
          - Nick Post
        tech_writer: Evan Read
        appsec_engineer: Jeremy Matos
        internal_customers:
          - Engineering Department
          - Product Department
          - Quality Department
          - Development Department
        categories:
          - devops_score
          - code_analytics
          - value_stream_management
      spaces:
        name: Spaces
        pm: Luca Williams
        pmm: Cormac Foster
        cm: Suri Patel
        backend_engineering_manager: Liam McAndrew
        frontend_engineering_manager: Dennis Tang
        support: Blair Lunceford
        sets:
          - Sanad Liaquat
        uxm: Mike Long
        ux:
          - Amanda Hughes (Interim)
        tech_writer: Evan Read
        appsec_engineer: Jeremy Matos
        internal_customers:
          - Engineering Department
          - Product Department
          - Support Department
        categories:
          - subgroups
          - users
          - teams
          - workspaces
  plan:
    display_name: "Plan"
    marketing: true
    tw: true
    image: "/images/solutions/solutions-plan.png"
    description: "Regardless of your process, GitLab provides powerful planning
      tools to keep everyone synchronized."
    body: |
      GitLab enables portfolio planning and management through epics, groups (programs) and milestones to organize and track progress.  Regardless of your methodology from Waterfall to DevOps, GitLab’s simple and flexible approach to planning meets the needs of small teams to large enterprises.

      GitLab helps teams organize, plan, align and track project work to ensure teams are working on the right things at the right time and maintain end to end visibility and traceability of issues throughout the delivery lifecycle from idea to production.
    vision: /direction/plan
    roadmap: "https://gitlab.com/groups/gitlab-org/-/roadmap?label_name%5B%5D=devops%3Aplan&scope=all&sort=end_date_asc&state=opened&layout=QUARTERS"
    established: 2011
    lifecycle: 5
    contributions: 44
    analyst_reports:
      - title: Gartner Magic Quadrant for Enterprise Agile Planning Tools
        url: "https://about.gitlab.com/analysts/gartner-eapt/"
    related:
      - "create"
    dept: dev
    groups:
      project_management:
        name: Project Management
        pm: Gabe Weaver
        pmm: Cormac Foster
        cm: Suri Patel
        backend_engineering_manager: John Hope (Interim)
        frontend_engineering_manager: Donald Cook
        handbook: product/categories/plan/
        support: Ben Prescott
        sets:
          - Walmyr Lima e Silva Filho
        uxm: Mike Long
        ux:
          - Holly Reynolds
          - Alexis Ginsberg
          - Nick Brandt
        tech_writer: Russell Dickenson
        appsec_engineer: Costel Maxim
        internal_customers:
          - Engineering Department
          - Product Department
        categories:
          - issue_tracking
          - kanban_boards
          - time_tracking
      portfolio_management:
        name: Portfolio Management
        pm: Keanon O'Keefe
        pmm: Cormac Foster
        cm: Suri Patel
        backend_engineering_manager: John Hope
        frontend_engineering_manager: Donald Cook
        handbook: /product/categories/plan/
        support: TBD
        sets:
          - Walmyr Lima e Silva Filho
        uxm: Mike Long
        ux:
          - Holly Reynolds
          - Alexis Ginsberg
          - Nick Brandt
        tech_writer: Russell Dickenson
        appsec_engineer: Costel Maxim
        internal_customers:
          - Engineering Department
          - Product Department
        categories:
          - epics
          - roadmaps
      certify:
        name: Certify
        pm: Mark Wood
        pmm: Cormac Foster
        cm: Suri Patel
        backend_engineering_manager: John Hope
        frontend_engineering_manager: Donald Cook
        handbook: product/categories/plan/
        support: TBD
        sets:
          - Walmyr Lima e Silva Filho
        uxm: Mike Long
        ux:
          - Holly Reynolds
          - Alexis Ginsberg
          - Nick Brandt
        tech_writer: Russell Dickenson
        appsec_engineer: Costel Maxim
        internal_customers:
          - Quality Department
          - Support Department
        categories:
          - requirements_management
          - quality_management
          - service_desk

  create:
    display_name: "Create"
    marketing: true
    tw: true
    image: "/images/solutions/solutions-create.png"
    description: |
      Create, view, and manage code and project data through powerful branching
      tools.
    body: |
      GitLab helps teams design, develop and securely manage code and project
      data from a single distributed version control system to enable rapid
      iteration and delivery of business value.  GitLab repositories provide a
      scalable, single source of truth for collaborating on projects and code
      which enables teams to be productive without disrupting their workflows.
    vision: /direction/create
    roadmap: "https://gitlab.com/groups/gitlab-org/-/roadmap?label_name%5B%5D=devops%3Acreate&scope=all&sort=end_date_asc&state=opened&layout=QUARTERS"
    established: 2011
    lifecycle: 7
    contributions: 34
    analyst_reports:
    related:
      - "plan"
      - "verify"
    dept: dev
    pm: James Ramsay
    groups:
      source_code:
        name: Source Code
        pm: James Ramsay (Interim)
        pmm: Jordi Mon
        cm: Suri Patel
        backend_engineering_manager: Michelle Gill
        frontend_engineering_manager: André Luís
        handbook: engineering/development/dev/create-source-code-be
        support: TBD
        sets:
          - Mark Lapierre
        uxm: Mike Long
        ux:
          - Pedro Moreira da Silva
        tech_writer: Marcia Ramos
        appsec_engineer: Juan Broullon
        internal_customers:
          - Engineering Department
          - Marketing Department
          - Product Department
        categories:
          - source_code_management
          - code_review
      knowledge:
        name: Knowledge
        pm: Christen Dybenko
        pmm: Jordi Mon
        cm: Suri Patel
        backend_engineering_manager: Darva Satcher
        frontend_engineering_manager: Roman Kuba
        handbook: engineering/development/dev/create-knowledge-be
        support: TBD
        sets:
          - Tomislav Nikić
        uxm: Mike Long
        ux:
          - Jarek Ostrowski
        tech_writer: Marcia Ramos
        appsec_engineer: Juan Broullon
        internal_customers:
          - UX Department
        categories:
          - design_management
          - wiki
      static_site_editor:
        name: Static Site Editor
        pm: Eric Schurter
        pmm: Jordi Mon
        cm: Suri Patel
        backend_engineering_manager: Jean du Plessis
        frontend_engineering_manager: Jean du Plessis
        handbook: engineering/development/dev/create-static-site-editor
        support: TBD
        sets:
          - Tomislav Nikić
        uxm: Mike Long
        ux:
          - Marcel van Remmerden
        tech_writer: Marcia Ramos
        internal_customers:
          - Marketing Department
          - Engineering Department
          - Finance Department
          - People Operations
          - Product Department
          - Sales Department
        categories:
          - static_site_editor
          - gitlab_handbook
      editor:
        name: Editor
        pm: Kai Armstrong
        pmm: Jordi Mon
        cm: Suri Patel
        backend_engineering_manager: Darva Satcher
        frontend_engineering_manager: Roman Kuba
        handbook: engineering/development/dev/create-editor-be
        support: TBD
        sets:
          - Tomislav Nikić
        uxm: Mike Long
        ux:
          - Marcel van Remmerden
        tech_writer: Marcia Ramos
        appsec_engineer: Juan Broullon
        internal_customers:
          - Marketing Department
          - Engineering Department
          - Finance Department
          - People Operations
          - Product Department
        categories:
          - web_ide
          - live_coding
          - snippets
      gitaly:
        name: Gitaly
        pm: James Ramsay
        image: "/images/solutions/solutions-gitaly.png"
        description: |
          Gitaly is a Git RPC service for handling all the git calls made by
          GitLab.
        body: |
          GitLab makes Gitaly
        vision: "https://gitlab.com/groups/gitlab-org/-/epics/710"
        backend_engineering_manager: ZJ (Interim)
        frontend_engineering_manager: Tim Z (Interim)
        support: Will Chandler
        sets:
          - Mark Lapierre
        uxm: Mike Long
        ux:
          - Pedro Moreira da Silva
        tech_writer: Axil
        appsec_engineer: Juan Broullon
        internal_customers:
          - Quality Department
          - Infrastructure Department
        categories:
          - gitaly
      gitter:
        name: Gitter
        pm: Eric Schurter
        vision: "https://gitlab.com/groups/gitlab-org/-/epics/850"
        backend_engineering_manager: ZJ (Interim)
        frontend_engineering_manager: Tim Z (Interim)
        support: TBD
        sets:
          - Mark Lapierre
          - Tomislav Nikić
        uxm: Mike Long
        ux:
          - Jarek Ostrowski
        tech_writer: Axil
        appsec_engineer: Juan Broullon
        categories:
          - gitter

  verify:
    display_name: "Verify"
    marketing: true
    tw: true
    image: "/images/solutions/solutions-verify.png"
    description: "Keep strict quality standards for production code with automatic testing and reporting."
    body: |
      GitLab helps delivery teams fully embrace continuous integration to automate the builds, integration and verification of their code. GitLab’s industry leading CI capabilities enables automated testing, Static Analysis Security Testing, Dynamic Analysis Security testing and code quality analysis to provide fast feedback to developers and testers about the quality of their code. With pipelines that enable concurrent testing and parallel execution, teams quickly get insight about every commit, allowing them to deliver higher quality code faster.
    vision: /direction/cicd#verify
    roadmap: "https://gitlab.com/groups/gitlab-org/-/roadmap?label_name[]=devops%3Averify&scope=all&sort=end_date_asc&state=opened&layout=QUARTERS"
    established: 2012
    lifecycle: 7
    contributions: 65
    analyst_reports:
      - title: "Forrester Wave: Continuous Integration Tools"
        url: "https://about.gitlab.com/analysts/forrester-ci/"
    related:
      - "create"
    dept: cicd
    groups:
      continuous_integration:
        name: "Continuous Integration"
        pm: Jason Yavorska (Interim)
        pmm: William Chia
        cm: Aricka Flowers
        backend_engineering_manager: Crystal Poole
        frontend_engineering_manager: Daniel Cipoletti
        support: Namho Kim
        sets:
          - Zeff Morgan
        uxm: Nadia Udalova
        ux:
          - Dimitrie Hoekstra
        tech_writer: Marcel Amirault
        appsec_engineer: Dominic Couture
        internal_customers:
          - Quality Department
          - UX Department
          - Infrastructure Department
          - Engineering Department
          - AutoDevOps and Kubernetes Group
        categories:
          - continuous_integration
      templates:
        name: "Templates"
        pm: Thao Yeager
        pmm: William Chia
        cm: Aricka Flowers
        backend_engineering_manager: Crystal Poole
        frontend_engineering_manager: Daniel Cipoletti
        support: Namho Kim
        sets:
          - Zeff Morgan
        uxm: Nadia Udalova
        ux:
          - Dimitrie Hoekstra
        tech_writer: Marcel Amirault
        appsec_engineer: Dominic Couture
        internal_customers:
          - Quality Department
          - UX Department
          - Infrastructure Department
          - Engineering Department
        categories:
          - templates
      runner:
        name: "Runner"
        pm: "Darren Eastman"
        pmm: William Chia
        cm: Aricka Flowers
        backend_engineering_manager: Elliot Rushton
        frontend_engineering_manager: Daniel Cipoletti
        support: Namho Kim
        sets:
          - Zeff Morgan
        uxm: Nadia Udalova
        ux:
          - Juan J. Ramirez
        tech_writer: Marcel Amirault
        appsec_engineer: Dominic Couture
        internal_customers:
          - Infrastructure Department
          - Engineering Department
        categories:
          - runner
      testing:
        name: "Testing"
        pm: "James Heimbuck"
        pmm: William Chia
        cm: Aricka Flowers
        backend_engineering_manager: Elliot Rushton
        frontend_engineering_manager: Daniel Cipoletti
        support: Namho Kim
        sets:
          - Zeff Morgan
        uxm: Nadia Udalova
        ux:
          - Juan J. Ramirez
        tech_writer: Marcel Amirault
        appsec_engineer: Dominic Couture
        internal_customers:
          - Quality Department
          - UX Department
          - Infrastructure Department
          - AutoDevOps and Kubernetes Group
        categories:
          - code_quality
          - unit_testing
          - load_testing
          - web_performance
          - system_testing
          - usability_testing
          - accessibility_testing

  package:
    display_name: "Package"
    marketing: true
    tw: true
    image: "/images/solutions/solutions-package.png"
    description: "Create a consistent and dependable software supply chain with built-in package management."
    body: |
      GitLab enables teams to package their applications and dependencies, manage containers, and build artifacts with ease. The private, secure container registry and artifact repositories are built-in and preconfigured out-of-the box to work seamlessly with GitLab source code management and CI/CD pipelines. Ensure DevOps acceleration with automated software pipelines that flow freely without interruption.
    vision: /direction/cicd#package
    roadmap: "https://gitlab.com/groups/gitlab-org/-/roadmap?label_name%5B%5D=devops%3Apackage&scope=all&sort=end_date_asc&state=opened&layout=QUARTERS"
    established: 2016
    lifecycle: 3
    contributions: 3
    analyst_reports:
    dept: cicd
    slack:
      channel: s_package
    handbook: product/categories/#package-stage
    groups:
      package:
        name: Package
        pm: Tim Rizzi
        pmm: William Chia
        cm: Aricka Flowers
        backend_engineering_manager: Daniel Croft
        frontend_engineering_manager: Daniel Croft (Interim)
        support: Sara Ahbabou
        uxm: Nadia Udalova
        ux:
          - Iain Camacho
        tech_writer: Axil
        internal_customers:
          - Distribution Team
          - Infrastructure Department
        categories:
          - container_registry
          - package_registry
          - helm_chart_registry
          - dependency_proxy
          - dependency_firewall
          - jupyter_notebooks
          - git_lfs
        slack:
          channel: s_package
          alias: package-group
        gitlab_group: "gitlab-org/package"
        handbook: engineering/development/ci-cd/package/
        google_group: "package-stage@gitlab.com"

  secure:
    display_name: "Secure"
    marketing: true
    tw: true
    image: "/images/solutions/solutions-secure.png"
    description: "Security capabilities, integrated into your development lifecycle."
    body: |
      GitLab provides Static Application Security Testing (SAST), Dynamic Application Security Testing (DAST), Container Scanning, and Dependency Scanning to help you deliver secure applications along with license compliance.
    vision: /direction/secure
    roadmap: "https://gitlab.com/groups/gitlab-org/-/roadmap?label_name%5B%5D=devops%3Asecure&scope=all&sort=end_date_asc&state=opened&layout=QUARTERS"
    established: 2017
    lifecycle: 3
    contributions: 3
    analyst_reports:
      - title: "Forrester Wave: Software Composition Analysis"
        url: "https://about.gitlab.com/analysts/forrester-sca/"
    related:
      - "create"
      - "defend"
    dept: secure
    slack:
      channel: s_secure
    gitlab_group: gitlab-org/secure
    handbook: engineering/development/secure/
    cta: includes/ctas/security-whitepaper
    groups:
      static_analysis:
        name: Static Analysis
        pm: Sam Kerr (Interim)
        pmm: Cindy Blake
        cm: Erica Lindberg
        backend_engineering_manager: Thomas Woodham
        frontend_engineering_manager: Lukas Eipert (Interim)
        support: Thiago Presa
        sets:
          - Aleksandr Soborov
        uxm: Valerie Karnes
        ux:
          - Camellia X. YANG
          - Annabel Dunstone Gray

        tech_writer: Axil
        slack:
          channel: g_secure-static-analysis
          alias: secure_static_analysis_be
        gitlab_group: gitlab-org/secure/static-analysis-be

        internal_customers:
          - Security Department
          - Engineering Department
        categories:
          - static_application_security_testing
          - secret_detection
          - language_specific
      dynamic_analysis:
        name: Dynamic Analysis
        pm: Derek Ferguson
        pmm: Cindy Blake
        cm: Erica Lindberg
        backend_engineering_manager: Seth Berger
        frontend_engineering_manager: Lukas Eipert (Interim)
        support: Thiago Presa
        sets:
          - Aleksandr Soborov
        uxm: Valerie Karnes
        ux:
          - Camellia X. YANG
          - Annabel Dunstone Gray

        tech_writer: Axil
        slack:
          channel: g_secure-dynamic-analysis
          alias: secure_dynamice_analysis_be
        gitlab_group: gitlab-org/secure/dynamic-analysis-be
        internal_customers:
          - Security Department
          - Engineering Department
        categories:
          - dynamic_application_security_testing
          - interactive_application_security_testing
          - fuzzing

      composition_analysis:
        name: Composition Analysis
        pm: Nicole Schwartz
        pmm: Cindy Blake
        cm: Erica Lindberg
        backend_engineering_manager: Olivier Gonzalez (Interim)
        frontend_engineering_manager: Lukas Eipert (Interim)
        support: Greg Myers
        sets:
          - Aleksandr Soborov
        uxm: Valerie Karnes
        ux:
          - Kyle Mann

        tech_writer: Axil
        slack:
          channel: g_composition-dynamic-analysis
          alias: secure_composition_analysis_be
        gitlab_group: gitlab-org/secure/composition-analysis-be

        internal_customers:
          - Security Department
          - Engineering Department
        categories:
          - dependency_scanning
          - container_scanning
          - license_compliance
          - malware_scanning
        feature_labels:
          - MR security reports
          - pipeline security reports
          - dependency list
          - security reports integration

      attack_surface:
        name: Attack Surface
        pm: Nicole Schwartz (Interim)
        pmm: Cindy Blake
        cm: Erica Lindberg
        backend_engineering_manager: Seth Berger (Interim)
        frontend_engineering_manager: Lukas Eipert (Interim)
        support: Greg Myers
        test_automation_engineers:
          - Aleksandr Soborov
        uxm: Valerie Karnes
        ux:
          - Kyle Mann

        tech_writer: Axil
        internal_customers:
          - Security Department
          - Engineering Department
        categories:
          - vulnerability_database
          - attack_emulation

  release:
    display_name: "Release"
    marketing: true
    tw: true
    image: "/images/solutions/solutions-release.png"
    description: "GitLab's integrated CD solution allows you to ship code with zero-touch, be it on one or one thousand servers."
    body: |
      GitLab helps automate the release and delivery of applications, shortening the delivery lifecycle, streamlining manual processes, and accelerating team velocity. With zero-touch Continuous Delivery (CD) built right into the pipeline, deployments can be automated to multiple environments like staging and production, and the system just knows what to do without being told - even for more advanced patterns like canary deployments. With feature flags, built-in auditing/traceability, on-demand environments, and GitLab pages for static content delivery, you'll be able to deliver faster and with more confidence than ever before.
    vision: /direction/cicd#release
    roadmap: "https://gitlab.com/groups/gitlab-org/-/roadmap?label_name%5B%5D=devops%3Arelease&scope=all&sort=end_date_asc&state=opened&layout=QUARTERS"
    established: 2016
    lifecycle: 4
    contributions: 9
    analyst_reports:
      - title: "Gartner Magic Quadrant for Application Release Orchestration"
        url: "https://about.gitlab.com/analysts/gartner-aro/"
      - title: "Forrester Wave: Continuous Delivery and Release Automation"
        url: "https://about.gitlab.com/analysts/forrester-cdra/"
    related:
      - "configure"
    dept: cicd
    groups:
      progressive_delivery:
        name: "Progressive Delivery"
        pm: Orit Golowinski
        pmm: William Chia
        cm: Aricka Flowers
        backend_engineering_manager: Darby Frey
        frontend_engineering_manager: John Hampton
        support: James McGrew
        uxm: Nadia Udalova
        ux:
          - Rayana Verissimo
          - Mike Nichols
        sets:
          - Tiffany Rea
        tech_writer: Marcia Ramos
        internal_customers:
          - Delivery Team
          - Distribution Team
          - Gitter
          - Security Department
          - Tech Writers
          - AutoDevOps and Kubernetes Group
        categories:
          - continuous_delivery
          - incremental_rollout
          - review_apps
          - feature_flags
          - merge_trains
      release_management:
        name: "Release Management"
        pm: Jackie Meshell
        pmm: William Chia
        cm: Aricka Flowers
        backend_engineering_manager: John Hampton (Interim)
        frontend_engineering_manager: John Hampton
        support: James McGrew
        uxm: Nadia Udalova
        ux:
          - Rayana Verissimo
          - Mike Nichols
        sets:
          - Tiffany Rea
        tech_writer: Marcia Ramos
        internal_customers:
          - Distribution Team
          - Gitter
          - Security Department
          - Tech Writers
          - Marketing Department
          - UX Department
        categories:
          - release_orchestration
          - secrets_management
          - release_governance
          - pages

  configure:
    display_name: "Configure"
    marketing: true
    tw: true
    image: "/images/solutions/solutions-configure.png"
    description: "Configure your applications and infrastructure."
    body: "GitLab helps teams to configure and manage their application environments.  Strong integration to Kubernetes reduces the effort needed to define and configure the infrastructure required to support your application.   Protect access to key infrastructure configuration details such as passwords and login information by using ‘secret variables’ to limit access to only authorized users and processes."
    vision: /direction/configure
    roadmap: "https://gitlab.com/groups/gitlab-org/-/roadmap?label_name%5B%5D=devops%3Aconfigure&scope=all&sort=end_date_asc&state=opened&layout=QUARTERS"
    established: 2018
    lifecycle: 3
    contributions: 10
    analyst_reports:
    related:
      - "release"
    dept: ops
    slack:
      channel: s_configure
    gitlab_group: gitlab-org/configure
    handbook: engineering/development/ops/configure/
    groups:
      orchestration:
        name: "Orchestration"
        pm: Daniel Gruesso
        pmm: William Chia
        cm: Aricka Flowers
        backend_engineering_manager: Seth Engelhard (Interim)
        frontend_engineering_manager: TBD
        support: Lewis Brown
        sets:
          - Dan Davison
        uxm: Christie Lenneville (Interim)
        ux:
          - Taurie Davis
          - Maria Vrachni
        tech_writer: Evan Read
        internal_customers:
          - Quality Department
          - Delivery Team
          - Reliability Engineering
          - Engineering Department
        categories:
          - auto_devops
          - kubernetes_management
          - chaos_engineering
          - cluster_cost_optimization
        slack:
          channel: g_monitor_orchestration
          alias: configure-orchestration-be
        handbook: engineering/development/ops/configure/orchestration
      system:
        name: "System"
        pm: Viktor Nagy
        pmm: William Chia
        cm: Aricka Flowers
        backend_engineering_manager: Nicholas Klick
        frontend_engineering_manager: TBD
        support: Lewis Brown
        sets:
          - Dan Davison
        uxm: Christie Lenneville (Interim)
        ux:
          - Taurie Davis
          - Matthew Nearents
        tech_writer: Evan Read
        internal_customers:
          - Quality Department
          - Delivery Team
          - Reliability Engineering
        categories:
          - serverless
          - infrastructure_as_code
          - chatops
          - runbooks
        slack:
          channel: g_monitor_system
          alias: configure-system-be
        handbook: engineering/development/ops/configure/system
  monitor:
    display_name: "Monitor"
    marketing: true
    tw: true
    image: "/images/solutions/solutions-monitor.png"
    description: "Automatically monitor metrics so you know how any change in code
      impacts your production environment."
    body: |
      You need feedback on what the effect of your release is in order to do
      release management. Get monitoring built-in, see the code change
      right next to the impact that it has so you can respond quicker and
      effectively. No need to babysit deployment to manually get feedback.
      Automatically detect buggy code and prevent it from affecting the
      majority of your users.
    vision: /direction/monitor
    roadmap: "https://gitlab.com/groups/gitlab-org/-/roadmap?label_name%5B%5D=devops%3Amonitor&scope=all&sort=end_date_asc&state=opened&layout=QUARTERS"
    established: 2017
    lifecycle: 1
    contributions: 4
    analyst_reports:
    related:
      - "release"
    dept: ops
    slack:
      channel: s_monitor
      alias: Monitor Group
    gitlab_group: gitlab-org/monitor
    handbook: engineering/development/ops/monitor/
    pm: Kevin Chu
    groups:
      apm:
        name: APM
        pm: Dov Hershkovitch
        pmm: Saumya Upadhyaya
        cm: Aricka Flowers
        backend_engineering_manager: Matt Nohr
        frontend_engineering_manager: Adriel Santiago (Interim)
        support: Cody West
        sets:
          - Sofia Vistas
        uxm: Aaron K. White
        ux:
          - Nadia Sotnikova
        tech_writer: Axil
        slack:
          channel: g_monitor_apm
          alias: monitor-apm-group
        handbook: engineering/development/ops/monitor/apm/
        internal_customers:
          - Infrastructure Department
          - Anthony Sandoval
          - Dave Smith
          - Engineering Department
        categories:
          - metrics
          - tracing
          - logging
        feature_labels:
          - APM
      health:
        name: "Health"
        pm: Sarah Waldner
        pmm: Saumya Upadhyaya
        cm: Aricka Flowers
        backend_engineering_manager: Seth Engelhard
        frontend_engineering_manager: Clement Ho
        support: Cody West
        sets:
          - Sofia Vistas
        uxm: Aaron K. White
        ux:
          - Amelia Bauerly
        tech_writer: Axil
        slack:
          channel: g_monitor_health
          alias: monitor-health-group
        handbook: engineering/development/ops/monitor/health/
        internal_customers:
          - Infrastructure Department
          - Anthony Sandoval
          - Dave Smith
          - Engineering Department
        categories:
          - error_tracking
          - cluster_monitoring
          - synthetic_monitoring
          - incident_management
          - status_page
        feature_labels:
          - infrastructure monitoring

  defend:
    display_name: "Defend"
    marketing: true
    tw: true
    image: "/images/stages-devops-lifecycle/placeholder.png"
    description: "Defend your apps and infrastructure from security intrusions."
    body: |
      GitLab provides runtime application security, threat detection and management, data security, and application infrastructure security.
    vision: /direction/defend
    roadmap: "https://gitlab.com/groups/gitlab-org/-/roadmap?label_name%5B%5D=devops%3Adefend&scope=all&sort=end_date_asc&state=opened&layout=QUARTERS"
    established: 2019
    lifecycle: 1
    contributions: 0
    analyst_reports:
    related:
      - "release"
      - "secure"
      - "manage"
    dept: defend
    groups:
      runtime_application_security:
        name: Runtime Application Security
        pm: Sam Kerr
        pmm: Cindy Blake
        cm: Erica Lindberg
        backend_engineering_manager: Thomas Woodham
        frontend_engineering_manager: Lindsay Kerr
        support: Greg Myers
        uxm: Valerie Karnes
        ux:
          - Rebecca "Becka" Lippert
        tech_writer: Axil
        internal_customers:
          - Security Department
          - Infrastructure Department
        categories:
          - runtime_application_self_protection
          - web_firewall
      threat_management:
        name: "Threat Management"
        pm: Matt Wilson
        pmm: Cindy Blake
        cm: Erica Lindberg
        backend_engineering_manager: Thomas Woodham
        frontend_engineering_manager: Lindsay Kerr
        support: Greg Myers
        uxm: Valerie Karnes
        ux:
          - Andy Volpe
          - Rebecca "Becka" Lippert
        tech_writer: Axil
        internal_customers:
          - Security Department
        categories:
          - vulnerability_management
          - responsible_disclosure
      application_infrastructure_security:
        name: Application Infrastructure Security
        pm: Sam Kerr
        pmm: Cindy Blake
        cm: Erica Lindberg
        backend_engineering_manager: Thomas Woodham
        frontend_engineering_manager: Lindsay Kerr
        support: Greg Myers
        uxm: Valerie Karnes
        ux:
          - Andy Volpe
          - Rebecca "Becka" Lippert
        tech_writer: Axil
        internal_customers:
          - Security Department
          - Infrastructure Department
        categories:
          - container_network_security
          - threat_detection
          - ddos_protection
      anomaly_detection:
        name: Anomaly Detection
        pm: Matt Wilson
        pmm: Cindy Blake
        cm: Erica Lindberg
        backend_engineering_manager: Thomas Woodham
        frontend_engineering_manager: Lukas Eipert (Interim)
        support: Greg Myers
        uxm: Valerie Karnes
        ux:
          - Andy Volpe
          - Rebecca "Becka" Lippert
        tech_writer: Axil
        internal_customers:
          - Security Department
          - Infrastructure Department
        categories:
          - behavior_analytics
          - data_loss_prevention

  growth:
    display_name: Growth
    dept: growth
    slack:
      channel: s_growth
    gitlab_group: gitlab-org/gl-growth
    handbook: engineering/development/growth/
    marketing: false
    tw: true
    related:
      - manage
      - plan
      - create
      - verify
      - package
      - release
      - configure
      - monitor
      - secure
      - defend
    established: 2019
    internal_customers:
      - Sales Department
      - Marketing Department
      - Product Department
      - Finance Department
    groups:
      acquisition:
        name: Acquisition
        description: "To promote the value of GitLab and accelerate site visitors transition to happy valued users of our product."
        slack:
          channel: g_acquisition
        handbook: engineering/development/growth/acquisition-conversion
        pm: Jensen Stava
        em: Jerome Ng
        tech_writer: Russell Dickenson
        support: Amanda Rueda
        uxm: Jacki Bauer
        ux:
          - Emily Sybrant

      conversion:
        name: Conversion
        description: "To continually improve the user experience when interacting with locked features, limits and trials."
        slack:
          channel: g_conversion
        handbook: engineering/development/growth/acquisition-conversion
        pm: Sam Awezec
        em: Jerome Ng
        tech_writer: Russell Dickenson
        support: Amanda Rueda
        uxm: Jacki Bauer
        ux:
          - Kevin Comoli

      expansion:
        name: Expansion
        description: " Increase seat count + current customer upgrades"
        slack:
          channel: g_expansion
        handbook: engineering/development/growth/expansion
        pm: Tim Hey
        em: Phil Calder
        tech_writer: Russell Dickenson
        uxm: Jacki Bauer
        ux:
          - Matej Latin

      retention:
        name: Retention
        description: "Prevent customers from leaving GitLab"
        slack:
          channel: g_retention
        handbook: engineering/development/growth/retention
        pm: Michael Karampalas
        em: Phil Calder
        tech_writer: Russell Dickenson
        support: Amanda Rueda
        uxm: Jacki Bauer
        ux:
          - Tim Noah

      fulfillment:
        name: Fulfillment
        slack:
          channel: g_fulfillment
        handbook: engineering/development/growth/fulfillment/
        pm: Mike Karampalas (Interim)
        pmm: John Jeremiah
        cm: Suri Patel
        backend_engineering_manager: James Lopez
        frontend_engineering_manager: Chris Baus
        support: Phil Encarnacion
        uxm: Jacki Bauer
        tech_writer: Russell Dickenson
        ux:
          - Tim Noah
          - Emily Sybrant
          - Kevin Comoli
          - Matej Latin
        internal_customers:
          - Sales Department
          - Marketing Department
          - Product Department
          - Customer Success
      telemetry:
        name: Telemetry
        handbook: engineering/development/growth/telemetry/
        pm: Sid Reddy
        pmm: John Jeremiah
        cm: Suri Patel
        backend_engineering_manager: James Lopez (Interim)
        support: Amanda Rueda
        uxm: Jacki Bauer
        tech_writer: Russell Dickenson
        internal_customers:
          - Sales Department
          - Marketing Department
          - Product Department
          - Customer Success
          - Data Team
        categories:
          - collection
          - analysis

  enablement:
    display_name: Enablement
    dept: enablement
    marketing: false
    tw: true
    related:
      - "create"
    established: 2012
    lifecycle: 4
    vision: /direction/enablement
    roadmap: "https://gitlab.com/groups/gitlab-org/-/roadmap?label_name%5B%5D=devops%3Aenablement&scope=all&sort=end_date_asc&state=opened&layout=QUARTERS"
    slack:
      channel: s_enablement
    gitlab_group: gitlab-org/enablement-section
    handbook: engineering/development/enablement/
    groups:
      distribution:
        name: Distribution
        image: "/images/solutions/solutions-distribution.png"
        description: "Add distribution description here"
        body: |
          GitLab helps distribution
        vision: /direction/distribution
        roadmap: "https://gitlab.com/groups/gitlab-org/-/roadmap?label_name[]=devops%3Adistribution&scope=all&sort=end_date_asc&state=opened&layout=QUARTERS"
        pm: Larissa Lane
        pmm: William Chia
        backend_engineering_manager: Steven Wilson
        support: Diana Stanley
        uxm: Jacki Bauer
        ux:
          - Sunjung Park
        tech_writer: Axil
        slack:
          channel: g_distribution
          alias: distributionteam
        handbook: engineering/development/enablement/distribution/
        gitlab_group: gitlab-org/distribution
        internal_customers:
          - Quality Department
          - Infrastructure Department
          - Customer Success
        categories:
          - omnibus_package
          - cloud_native_installation
      geo:
        name: "Geo"
        image: "/images/solutions/solutions-geo.png"
        description: "Add Geo description here"
        body: |
          GitLab makes Geo
        vision: /direction/geo
        roadmap: "https://gitlab.com/groups/gitlab-org/-/roadmap?label_name[]=devops%3Adistribution&scope=all&sort=end_date_asc&state=opened&layout=QUARTERS"
        pm: Fabian Zimmer
        pmm: John Jeremiah
        backend_engineering_manager: Rachel Nienaber
        frontend_engineering_manager: André Luís (Interim)
        support: Aric Buerer
        uxm: Jacki Bauer
        ux:
          - Sunjung Park
        sets:
          - Jennie Louie
        tech_writer: Evan Read
        slack:
          channel: g_geo
        gitlab_group: gitlab-org/geo-team
        handbook: engineering/development/enablement/geo/
        internal_customers:
          - Infrastructure Department
        categories:
          - geo_replication
          - disaster_recovery
          - backup_restore
      memory:
        name: Memory
        description: "Responsible for optimizing GitLab application performance by reducing and optimizing memory resources required."
        pm: Joshua Lambert (Interim)
        pmm: Ashish Kuthiala (Interim)
        backend_engineering_manager: Craig Gomes
        uxm: Jacki Bauer
        tech_writer: Mike Lewis
        slack:
          channel: g_memory
        gitlab_group: gitlab-org/memory-team
        handbook: engineering/development/enablement/memory/
        cm: Erica Lindberg
        sets:
          - Grant Young
          - Nailia Iskhakova
        support: TBD
        internal_customers:
          - Quality Department
          - Infrastructure Department
      ecosystem:
        name: Ecosystem
        description: "Supporting the success of third-party products integrating with GitLab."
        pm: Patrick Deuley
        pmm: Ashish Kuthiala (Interim)
        backend_engineering_manager: Nick Nguyen
        frontend_engineering_manager: Nick Nguyen (Interim)
        uxm: Jacki Bauer
        ux:
          - Libor Vanc
        tech_writer: Mike Lewis
        slack:
          channel: g_ecosystem
        gitlab_group: gitlab-org/ecosystem-team
        handbook: engineering/development/enablement/ecosystem/
        cm: Erica Lindberg
        qm: Mek Stittri
        internal_customers:
          - Alliances Department
          - Customer Success
        categories:
          - sdk
          - integrations
      search:
        name: Search
        description: "Helping users find what they are looking for in GitLab"
        body: |
          Global search and indexing
        vision: /direction/enablement/search
        roadmap: "https://gitlab.com/groups/gitlab-org/-/roadmap?label_name[]=devops%3Asearch&scope=all&sort=end_date_asc&state=opened&layout=QUARTERS"
        pm: Kai Armstrong (Interim)
        pmm: John Jeremiah
        backend_engineering_manager: Changzheng Liu
        frontend_engineering_manager: Changzheng Liu (Interim)
        support: Blair Lunceford
        uxm: Jacki Bauer
        ux:
          - Marcel van Remmerden (Interim)
        sets:
          - Erick Banks
        tech_writer: Russell Dickenson
        slack:
          channel: g_search
        gitlab_group: gitlab-org/search-team
        handbook: engineering/development/enablement/search/
        internal_customers:
          - Engineering Department
          - Customer Success
          - Infrastructure Department
        categories:
          - search
      database:
        name: Database
        description: "Developing solutions for scalability, application performance, data growth and developer enablement especially where it concerns interactions with the database."
        pm: Joshua Lambert (Interim)
        pmm: TBD
        backend_engineering_manager: Craig Gomes
        support: Ben Prescott
        uxm: Jacki Bauer
        tech_writer: TBD
        slack:
          channel: g_database
        gitlab_group: gitlab-org/database-team
        handbook: engineering/development/enablement/database/
        cm: TBD
        internal_customers:
          - Quality Department
          - Infrastructure Department
